/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package Java2OWL;

import java.util.ArrayList;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;
import org.semanticweb.owlapi.model.*;

/**
 *
 * @author ohlbach
 */
public class ClassWrapperTest {

    
    /** A global data factory. */
    static OWLDataFactory dataFactory;
    static OWLClass ocl;
    static Class jcl;
    
    public ClassWrapperTest() {
    }

    @BeforeClass
    public static void setUpClass() throws Exception {
        dataFactory = J2OOntologyManager.dataFactory;
        ocl = dataFactory.getOWLClass(IRI.create("testowlclass"));
        jcl = ClassWrapperTest.class;
    }

    @AfterClass
    public static void tearDownClass() throws Exception {
    }
    
    @Before
    public void setUp() {
    }
    
    @After
    public void tearDown() {
    }

    
    /**
     * Test of getjClass method, of class ClassWrapper.
     */
    @Test
    public void testGetJClass() {
        System.out.println("getJClass");
        ClassWrapper instance = new ClassWrapper(jcl,ocl,null);
        Class expResult = jcl;
        Class result = instance.getJavaClass();
        assertEquals(expResult, result);
    }

    /**
     * Test of getoClass method, of class ClassWrapper.
     */
    @Test
    public void testGetOClass() {
        System.out.println("getOClass");
        ClassWrapper instance = new ClassWrapper(jcl,ocl,null);
        OWLClass expResult = ocl;
        OWLClass result = instance.getOWLClass();
        assertEquals(expResult, result);
        
    }

    /**
     * Test of getProperties method, of class ClassWrapper.
     */
    @Test
    public void testGetProperties() {
        System.out.println("getProperties");
        ClassWrapper instance = new ClassWrapper(jcl,ocl,null);
        PropertyWrapper pm1 = new PropertyWrapperFunctional("PM1");
        PropertyWrapper pm2 = new PropertyWrapperFunctional("PM1");
        instance.addProperty(pm1);instance.addProperty(pm2);
        ArrayList<PropertyWrapper> result = instance.getProperties();
        assertEquals(pm1, result.get(0));
        assertEquals(pm2, result.get(1));
    }

   
}
