/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package TestPackage;

import Java2OWL.J2OCompiler;
import Java2OWL.J2OWLClass;
import Java2OWL.J2OWLProperty;
import java.util.HashSet;
import java.util.Set;

/**
 *
 * @author ohlbach
 */
@J2OWLClass(name = "Item")
public class TestItem {
    Set<TestItem> components = new HashSet<TestItem>();
    
    @J2OWLProperty(name = "hasPart", adder = "addItem", clearer = "clearItems",
            transitive = true, reflexive = true)
    public Set<TestItem>  getItems() {return components;}
    
    public void addItem(TestItem item) {components.add(item);}
   
     
    public void clearItems() {components.clear();}       
     
     public static void main(String[] args) {
        args = new String[]{"build/test/classes/TestPackage/TestItem.class", 
                        "exoi", "http://www.lmu.de/Item.owl",
                        "exof", "test/TestPackage/Item.owl",
                        "sync","true","debug","true"};
        J2OCompiler.main(args); 
       
        
    }
}
